#!/bin/sh
cd "$(cd "$(dirname "$0")" && pwd)"
mkdir ./output
chmod +x ./exec/xdelta3_x64_linux
echo Place the files to be patched in the \"original\" directory with the following names:
echo --------------------
echo "[Seigyoku] Dog Signal - 01v2 [DF48A152].mkv"
echo "[Seigyoku] Dog Signal - 02 [0B18E756].mkv"
echo "[Seigyoku] Dog Signal - 03 [F0521707].mkv"
echo "[Seigyoku] Dog Signal - 04 [2C23CF67].mkv"
echo "[Seigyoku] Dog Signal - 05 [AE907848].mkv"
echo "[Fetch] Dog Signal - 06 (WEB 1080p) [388C559E].mkv"
echo "[Fetch] Dog Signal - 08 (WEB 1080p) [5D6AED7E].mkv"
echo "[Fetch] Dog Signal - 09 (WEB 1080p) [6E4F66FA].mkv"
echo "[Fetch] Dog Signal - 10 (WEB 1080p) [FF18CFB3].mkv"
echo "[Fetch] Dog Signal - 11 (WEB 1080p) [DA3271D9].mkv"
echo "[Fetch] Dog Signal - 12 (WEB 1080p) [5FA9423A].mkv"
echo "[Fetch] Dog Signal - 13 (WEB 1080p) [950AA80D].mkv"
echo "[Fetch] Dog Signal - 15 (WEB 1080p) [704F044C].mkv"
echo "[Fetch] Dog Signal - 16 (WEB 1080p) [A675010A].mkv"
echo "[Fetch] Dog Signal - 16v2 (WEB 1080p) [25D45AED].mkv"
echo "[Fetch] Dog Signal - 17 (WEB 1080p) [63709663].mkv"
echo --------------------
echo Patched files will be in the \"output\" directory
read -p "Press enter to continue..." inp
./exec/xdelta3_x64_linux -v -d -s "./original/[Seigyoku] Dog Signal - 01v2 [DF48A152].mkv" "vcdiff/[Seigyoku] Dog Signal - 01v2 [DF48A152].mkv.vcdiff" "./output/[Fetch] Dog Signal - 01 (WEB 1080p) [F3CF7CD5].mkv"
./exec/xdelta3_x64_linux -v -d -s "./original/[Seigyoku] Dog Signal - 02 [0B18E756].mkv" "vcdiff/[Seigyoku] Dog Signal - 02 [0B18E756].mkv.vcdiff" "./output/[Fetch] Dog Signal - 02 (WEB 1080p) [F55DAC91].mkv"
./exec/xdelta3_x64_linux -v -d -s "./original/[Seigyoku] Dog Signal - 03 [F0521707].mkv" "vcdiff/[Seigyoku] Dog Signal - 03 [F0521707].mkv.vcdiff" "./output/[Fetch] Dog Signal - 03 (WEB 1080p) [EB54A506].mkv"
./exec/xdelta3_x64_linux -v -d -s "./original/[Seigyoku] Dog Signal - 04 [2C23CF67].mkv" "vcdiff/[Seigyoku] Dog Signal - 04 [2C23CF67].mkv.vcdiff" "./output/[Fetch] Dog Signal - 04 (WEB 1080p) [1E16D7EF].mkv"
./exec/xdelta3_x64_linux -v -d -s "./original/[Seigyoku] Dog Signal - 05 [AE907848].mkv" "vcdiff/[Seigyoku] Dog Signal - 05 [AE907848].mkv.vcdiff" "./output/[Fetch] Dog Signal - 05 (WEB 1080p) [31FE388B].mkv"
./exec/xdelta3_x64_linux -v -d -s "./original/[Fetch] Dog Signal - 06 (WEB 1080p) [388C559E].mkv" "vcdiff/[Fetch] Dog Signal - 06 (WEB 1080p) [388C559E].mkv.vcdiff" "./output/[Fetch] Dog Signal - 06v2 (WEB 1080p) [9387F6CA].mkv"
./exec/xdelta3_x64_linux -v -d -s "./original/[Fetch] Dog Signal - 08 (WEB 1080p) [5D6AED7E].mkv" "vcdiff/[Fetch] Dog Signal - 08 (WEB 1080p) [5D6AED7E].mkv.vcdiff" "./output/[Fetch] Dog Signal - 08v2 (WEB 1080p) [93F0DAD8].mkv"
./exec/xdelta3_x64_linux -v -d -s "./original/[Fetch] Dog Signal - 09 (WEB 1080p) [6E4F66FA].mkv" "vcdiff/[Fetch] Dog Signal - 09 (WEB 1080p) [6E4F66FA].mkv.vcdiff" "./output/[Fetch] Dog Signal - 09v2 (WEB 1080p) [27911B6E].mkv"
./exec/xdelta3_x64_linux -v -d -s "./original/[Fetch] Dog Signal - 10 (WEB 1080p) [FF18CFB3].mkv" "vcdiff/[Fetch] Dog Signal - 10 (WEB 1080p) [FF18CFB3].mkv.vcdiff" "./output/[Fetch] Dog Signal - 10v2 (WEB 1080p) [C3243641].mkv"
./exec/xdelta3_x64_linux -v -d -s "./original/[Fetch] Dog Signal - 11 (WEB 1080p) [DA3271D9].mkv" "vcdiff/[Fetch] Dog Signal - 11 (WEB 1080p) [DA3271D9].mkv.vcdiff" "./output/[Fetch] Dog Signal - 11v2 (WEB 1080p) [0D6675AE].mkv"
./exec/xdelta3_x64_linux -v -d -s "./original/[Fetch] Dog Signal - 12 (WEB 1080p) [5FA9423A].mkv" "vcdiff/[Fetch] Dog Signal - 12 (WEB 1080p) [5FA9423A].mkv.vcdiff" "./output/[Fetch] Dog Signal - 12v2 (WEB 1080p) [D6E9056C].mkv"
./exec/xdelta3_x64_linux -v -d -s "./original/[Fetch] Dog Signal - 13 (WEB 1080p) [950AA80D].mkv" "vcdiff/[Fetch] Dog Signal - 13 (WEB 1080p) [950AA80D].mkv.vcdiff" "./output/[Fetch] Dog Signal - 13v2 (WEB 1080p) [5C2AD6FE].mkv"
./exec/xdelta3_x64_linux -v -d -s "./original/[Fetch] Dog Signal - 15 (WEB 1080p) [704F044C].mkv" "vcdiff/[Fetch] Dog Signal - 15 (WEB 1080p) [704F044C].mkv.vcdiff" "./output/[Fetch] Dog Signal - 15v2 (WEB 1080p) [96F0E39D].mkv"
./exec/xdelta3_x64_linux -v -d -s "./original/[Fetch] Dog Signal - 16 (WEB 1080p) [A675010A].mkv" "vcdiff/[Fetch] Dog Signal - 16 (WEB 1080p) [A675010A].mkv.vcdiff" "./output/[Fetch] Dog Signal - 16v3 (WEB 1080p) [B6F76290].mkv"
./exec/xdelta3_x64_linux -v -d -s "./original/[Fetch] Dog Signal - 16v2 (WEB 1080p) [25D45AED].mkv" "vcdiff/[Fetch] Dog Signal - 16v2 (WEB 1080p) [25D45AED].mkv.vcdiff" "./output/[Fetch] Dog Signal - 16v3 (WEB 1080p) [B6F76290].mkv"
./exec/xdelta3_x64_linux -v -d -s "./original/[Fetch] Dog Signal - 17 (WEB 1080p) [63709663].mkv" "vcdiff/[Fetch] Dog Signal - 17 (WEB 1080p) [63709663].mkv.vcdiff" "./output/[Fetch] Dog Signal - 17v2 (WEB 1080p) [23BEF1B7].mkv"
